<!DOCTYPE node PUBLIC "-//freedesktop//DTD D-BUS Object Introspection 1.0//EN" "http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd">
<node>
    <interface name="org.ukui.Sidebar">
        <method name="sidebarActive"/>
        <method name="shortcutsActive"/>
        <method name="active">
            <arg name="module" type="s" direction="in"/>
        </method>
        <method name="shortcutWidgetActive">
            <arg name="id" type="s" direction="in"/>
            <arg name="showReturnButton" type="b" direction="in"/>
        </method>
        <signal name="activeRequest">
            <arg name="module" type="s" direction="out"/>
            <arg name="display" type="s" direction="out"/>
        </signal>
        <signal name="stateChange">
            <arg name="module" type="s" direction="out"/>
            <arg name="data" type="a{sv}" direction="out"/>
            <annotation name="org.qtproject.QtDBus.QtTypeName.Out1" value="QVariantMap"/>
        </signal>
    </interface>
</node>
